Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Аватара пользователя

Автор темы
vir0id
Сообщения: 1757
Зарегистрирован: 19 дек 2017, 15:48
Решено: 7
Откуда: Рига
Благодарил (а): 138 раз
Поблагодарили: 195 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение vir0id » 12 янв 2018, 06:42

Поискал на форуме тему установки драйвера, ничего не нашёл. Поэтому было решено создать темку. Гитхабовцы выкатели свой драйвер для наших карт. Не работает режим монитора, и интерфейс выглядит не привычно. wlan0 выглядит как wlo1. Но в принцепе, полёт нормальный. Я не знаю как оно работает с ядрами старше, но думаю что тоже будeт работать(можно попробовать убрать параметр -b 4.11-up или заменить на 4.10-up). Где-то читал, что лучше делать из под рута. Но я, на всякий случай, использовал sudo
Скачивает драйвер:

Код: Выделить всё

git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up

Код: Выделить всё

dkms add ./rtl8723de
- у меня почему-то команда dkms add не сработала.
Установка:

Код: Выделить всё

dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414

Код: Выделить всё

depmod -a
и перезагружаемся Удаление:

Код: Выделить всё

rmmod -f 8723de

Код: Выделить всё

dkms uninstall rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414

Код: Выделить всё

dkms remove rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414 --all

Код: Выделить всё

depmod -a

Аватара пользователя

Unborn
Сообщения: 1528
Зарегистрирован: 03 сен 2016, 10:36
Решено: 21
Благодарил (а): 4 раза
Поблагодарили: 223 раза

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Unborn » 12 янв 2018, 07:50

vir0id писал(а):
12 янв 2018, 06:42
не знаю как оно работает с ядрами старше, но думаю что тоже будeт работать(можно попробовать убрать параметр -b 4.11-up или заменить на 4.10-up). Где-то читал, что лучше делать из под рута. Но я, на всякий случай, использовал sudo
Что так никак? - https://github.com/smlinux/rtl8723de/tree/4.10-down


ivt
Сообщения: 4
Зарегистрирован: 14 июн 2018, 21:27
Поблагодарили: 1 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение ivt » 14 июн 2018, 21:30

Не работает на ubuntu 18.04 (ядро 4.15)
У кого нибудь получалось заводить?

Аватара пользователя

darkfenix
Сообщения: 3883
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 238 раз
Поблагодарили: 713 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение darkfenix » 15 июн 2018, 02:56

ivt, эта инструкция была написана для LinuxMint 18.x. Следовательно она актуальна(должна быть) для Ubuntu 16.04. Но никто и нигде не говорил что будет работать для Ubuntu 18.04. Да и тут в основном минтоводы - так что нет, никто на Ubuntu 18.04 не заводил.
Изображение


ivt
Сообщения: 4
Зарегистрирован: 14 июн 2018, 21:27
Поблагодарили: 1 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение ivt » 15 июн 2018, 13:07

Спасибо) но без разницы минтоводы тут или нет. Факт в том что на ядре 4.15 и выше работать не будет. Следовательно при обновлении до LM19 возникнет такая же проблема.


ivt
Сообщения: 4
Зарегистрирован: 14 июн 2018, 21:27
Поблагодарили: 1 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение ivt » 16 июн 2018, 12:51

Решение для ядра 4.15 и выше по ссылке:

https://github.com/smlinux/rtl8723de

Аватара пользователя

G.A.P
Сообщения: 49
Зарегистрирован: 23 ноя 2016, 07:42
Благодарил (а): 10 раз
Поблагодарили: 6 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение G.A.P » 26 июн 2018, 17:04

ivt писал(а):
16 июн 2018, 12:51
Решение для ядра 4.15 и выше
Подтверждаю, решение работает, только что завёлся вайфай на новеньком НР под минтом 19 :thumbs:


Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 08 июл 2018, 19:00

Доброй ночи! Отчаянному нужна помощь! Сделал все по инструкции с гитхаба https://github.com/smlinux/rtl8723de
Когда ввожу

Код: Выделить всё

depmod -a
выходит вот это:
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.dep.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.dep.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.alias.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.alias.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.softdep.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.symbols.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.symbols.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.builtin.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.15.0-20-generic, modules.devname.tmp, 1101, 644): Permission denied
Что делать уже незнаю, сегодня весь день мучуюсь с этим.
LM 19
Последний раз редактировалось пользователем 1 Dja; всего редактировалось раз: 9
Причина: BB-codes


etamax
Сообщения: 376
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение etamax » 08 июл 2018, 19:16

Aston_ писал(а):
08 июл 2018, 19:00
Permission denied
Наверно хочет повышенных привилегий. Например sudo

Аватара пользователя

darkfenix
Сообщения: 3883
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 238 раз
Поблагодарили: 713 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение darkfenix » 09 июл 2018, 03:31

sudo depmod -a
Изображение


Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 09 июл 2018, 05:00

Через sudo пробовал, думает думает потом ничего, перезагружаюсь. ВИФИ не работает.
Может есть проблема в том, что он делает манипуляции с ядром 4.15.0-20, а у меня стоит 4.15.0-24 ?

Аватара пользователя

darkfenix
Сообщения: 3883
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 238 раз
Поблагодарили: 713 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение darkfenix » 09 июл 2018, 05:10

Тут зависит от того с каким ядром ты грузишься, т.е. какое ядро активно.
uname -r покажет активное ядро
Изображение


Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 09 июл 2018, 05:23

4.15.0-24-generic


etamax
Сообщения: 376
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение etamax » 09 июл 2018, 06:10

Aston_, В строке поиска синаптика набери linux-image и посмотри - какие ядра стоят в системе или доступны для установки - можно использовать или установить нужное ядро.


Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 09 июл 2018, 07:30

Блин, это просто... Переустановил ЛМ, ядро не обновлял, стоит 4.15.0-20. Делаю все по инструкции. Вифи не работает !!!
lspci -knn

Код: Выделить всё

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
	Subsystem: Hewlett-Packard Company RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [103c:8330]
	Kernel driver in use: r8169
	Kernel modules: r8169
03:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. Device [10ec:d723]
	Subsystem: Hewlett-Packard Company Device [103c:8319]
	Kernel modules: rtl8723de
Что делать ?


etamax
Сообщения: 376
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение etamax » 09 июл 2018, 09:24



Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 09 июл 2018, 10:13

etamax, мать его ошибки!
У вас нет необходимых прав для просмотра вложений в этом сообщении.


etamax
Сообщения: 376
Зарегистрирован: 16 дек 2017, 18:59
Решено: 3
Благодарил (а): 1 раз
Поблагодарили: 28 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение etamax » 09 июл 2018, 10:34

Что то я ни разу не видел применения команды sudo make


Aston_
Сообщения: 8
Зарегистрирован: 08 июл 2018, 18:54
Благодарил (а): 5 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение Aston_ » 09 июл 2018, 10:40

Разницы не какой, что с судо что без. Ошибки те же

Аватара пользователя

darkfenix
Сообщения: 3883
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 238 раз
Поблагодарили: 713 раз

Realtek RTL8723DE модуль для Linux ядро версии >= 4.11

Сообщение darkfenix » 09 июл 2018, 17:19

Aston_ писал(а):
09 июл 2018, 07:30
Делаю все по инструкции
По какой инструкции?
Вот инструкция по сслыке из #6

Код: Выделить всё

git clone https://github.com/smlinux/rtl8723de.git -b 4.15-up
sudo dkms add ./rtl8723de
sudo dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414
sudo depmod -a
systemctl reboot
Или из #16
Возьми этот архивчик
rtl8723de.zip

Попробуй собрать: в каталоге с исходниками сделай make
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение

Вернуться в «Руководства»